Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
PUTBackup Service OperationsSince 3.0.0SynchronousAuth Required

SyncVmBackupFromImageStoreBackupStorage

SyncVmBackupFromImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • groupUuidStringRequired

    The UUID of the backup group.

Body Fields

  • syncvmbackupfromimagestorebackupstorageObjectRequired

    syncvmbackupfromimagestorebackupstorage request body object.

    • srcBackupStorageUuidStringRequired

      The local backup storage.

    • dstBackupStorageUuidStringRequired

      The remote backup storage.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the volume backup.

    • volumeUuidStringRequired

      The UUID of the volume.

    • nameStringRequired

      The name of the volume backup.

    • descriptionStringRequired

      The detailed description of the backup.

    • typeStringRequired

      The type of the volume.

    • stateStringRequired

      The status of the backup.

    • statusStringRequired

      The availability status of the backup.

    • sizeLongRequired

      The size of the backup.

    • metadataStringRequired

      The metadata of the backup.

    • createDateTimestampRequired

      The time when the backup was created.

    • lastOpDateTimestampRequired

      The time when the backup was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • volumeBackupUuidStringRequired

        The UUID of the volume backup.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        The storage path of the backup.

      • statusStringRequired

        The status of the backup in the backup storage.

      • createDateTimestampRequired

        The time when the backup was created.

      • lastOpDateTimestampRequired

        The time when the backup was last modified.

Endpoint

PUT/zstack/v1/vm-backups/{groupUuid}/actions

/zstack/v1/vm-backups/{groupUuid}/actions

Operation ID

SyncVmBackupFromImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-backups/{groupUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"syncvmbackupfromimagestorebackupstorage":{"srcBackupStorageUuid":"<srcBackupStorageUuid>","dstBackupStorageUuid":"<dstBackupStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "cf59b77253e134e483ceda7e21c6bf15", "volumeUuid": "6be74434a84e3c939830a3987488a499", "name": "Root-Volume-Backup-1", "description": "volume backup", "size": 1.073741824E9, "groupUuid": "09d5949ca5f233c2adcf4c278f537cef", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "c546170919a4300e9b3d3e29fc27de7f", "volumeUuid": "39656103b9e7391e89071517f9d21b91", "name": "Data-Volume-Backup-1", "description": "volume backup", "size": 2.147483648E9, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history